# Uses of Class
org.eclipse.jface.text.templates.ContextTypeRegistry

Packages that use ContextTypeRegistry
Package
Description
org.eclipse.jface.text.templates.persistence
Provides persistence support for templates.
org.eclipse.ui.editors.text.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of ContextTypeRegistry in org.eclipse.jface.text.templates.persistence

Methods in org.eclipse.jface.text.templates.persistence that return ContextTypeRegistry
Modifier and Type
Method
Description
`protected final ContextTypeRegistry`
TemplateStore.`getRegistry()`
Constructors in org.eclipse.jface.text.templates.persistence with parameters of type ContextTypeRegistry
Modifier
Constructor
Description
``
`TemplateStore(ContextTypeRegistry registry, IPreferenceStore store, String key)`
Creates a new template store with a context type registry.

## Uses of ContextTypeRegistry in org.eclipse.ui.editors.text.templates

Subclasses of ContextTypeRegistry in org.eclipse.ui.editors.text.templates
Modifier and Type
Class
Description
`class`
`ContributionContextTypeRegistry`
A registry for context types.
Constructors in org.eclipse.ui.editors.text.templates with parameters of type ContextTypeRegistry
Modifier
Constructor
Description
``
`ContributionTemplateStore(ContextTypeRegistry registry, IPreferenceStore store, String key)`
Creates a new template store with a context type registry.

## Uses of ContextTypeRegistry in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return ContextTypeRegistry
Modifier and Type
Method
Description
`protected abstract ContextTypeRegistry`
AbstractTemplatesPage.`getContextTypeRegistry()`
Returns the context type registry used in this page.
`ContextTypeRegistry`
TemplatePreferencePage.`getContextTypeRegistry()`
Returns the context type registry.
Methods in org.eclipse.ui.texteditor.templates with parameters of type ContextTypeRegistry
Modifier and Type
Method
Description
`void`
TemplatePreferencePage.`setContextTypeRegistry(ContextTypeRegistry registry)`
Sets the context type registry.
Constructors in org.eclipse.ui.texteditor.templates with parameters of type ContextTypeRegistry
Modifier
Constructor
Description
``
`EditTemplateDialog(Shell parent, Template template, boolean edit, boolean isNameModifiable, ContextTypeRegistry registry)`
Creates a new dialog.